.footer {
    background: $white;

    &__primary {
        padding-top: rem(36);
        padding-bottom: rem(24);
    }

    &__logo {
        display: block;
        width: rem(182);
        margin: 0 auto rem(12) auto;
    }

    &__content {
        margin-bottom: rem(28);
    }

    &__secondary {
        position: relative;
        padding-top: rem(22);
        padding-bottom: rem(30);

        &:before {
            top: 0;
            left: 0;
            right: 0;
            height: 1px;
            content: '';
            position: absolute;
            background: #E6E6E6;
        }
    }

    &__portal {
        color: $black;
        text-decoration: none;
        max-width: rem(380);
        font-weight: 500;
        line-height: 125%;
        font-size: rem(12);
        margin-bottom: rem(22);
        display: flex;
        align-items: center;

        &__logo {
            width: rem(35);
            flex-shrink: 0;
            display: block;
            margin-right: rem(22);
        }

        &:hover {
            color: $black;
            text-decoration: none;
        }
    }

    &__label {
        font-weight: 600;
        font-size: rem(14);
        line-height: rem(21);
        margin-bottom: rem(14);
    }

    &__payment-methods {
        display: grid;
        grid-row-gap: rem(8);
        grid-column-gap: rem(8);
        grid-template-columns: 1fr 1fr 1fr 1fr 1fr;
    }

    &__nav {
        display: none;
        margin-top: rem(60);
    }

    @include media-breakpoint-up(md) {

        &__primary {
            padding-top: rem(70);
            padding-bottom: rem(50);
            display: flex;
            flex-wrap: wrap;
            justify-content: space-between;
        }

        &__logo {
            width: rem(262);
            margin: 0 0 rem(30) 0;
        }

        &__content {
            margin-bottom: 0;
        }

        &__contacts {
            width: rem(358px);
            flex-shrink: 0;
        }

        &__nav {
            width: 100%;
            display: block;
        }

        &__secondary {
            padding-top: rem(50);
            padding-bottom: rem(35);

            &:before {
                left: -3000px;
                right: -3000px;
            }
        }

        &__portal {
            font-size: rem(15);
            margin-bottom: rem(36);

            &__logo {
                width: rem(42);
                margin-right: rem(24);
            }
        }

        &__label {
            font-size: rem(15);
            line-height: rem(21);
            margin-bottom: rem(20);
        }

        &__payment-methods {
            grid-column-gap: rem(11);
            grid-template-columns: 1fr 1fr 1fr 1fr 1fr rem(202) rem(134);
        }
    }

    @include media-breakpoint-up(xl) {

        &__primary {
            flex-wrap: nowrap;
            padding-top: rem(58);
            padding-bottom: rem(66);
        }

        &__content {
            order: 1;
        }

        &__logo {
            margin-bottom: rem(36);
        }

        &__nav {
            order: 2;
            margin: 0;
            width: auto;
            padding-top: rem(28);
        }

        &__contacts {
            order: 3;
            padding-top: rem(28);
        }

        &__secondary {
            padding: 0;
            height: rem(138);
            display: flex;
            align-items: center;
            justify-content: space-between;
        }

        &__portal {
            margin: 0;
        }

        &__payment {
            display: flex;
            align-items: center;
        }

        &__label {
            font-size: rem(15);
            line-height: rem(21);
            margin: 0 rem(20) 0 0;
        }
    }

    @include media-breakpoint-up(xxl) {
        grid-column-gap: rem(15);
        grid-template-columns: rem(90) rem(90) rem(90) rem(90) rem(90) rem(221) rem(147);
    }
}

.footer-social {
    display: flex;
    align-items: center;
    justify-content: center;

    &__item {
        display: block;
        width: rem(44);
        height: rem(44);
        border-radius: 50%;
        background: $white;
        position: relative;
        box-shadow: 0px 4px 55px 0px rgba(0, 0, 0, 0.10);
        flex-shrink: 0;

        &:not(:last-child) {
            margin-right: rem(10);
        }

        &:hover {

            .footer-social {

                &__base {
                    opacity: 0;
                    visibility: hidden;
                    transition: .25s;
                }

                &__hover {
                    opacity: 1;
                    visibility: visible;
                    transition: .25s;
                }
            }
        }
    }

    &__base {
        z-index: 10;
        display: block;
        position: relative;
        transition: .25s;
        opacity: 1;
        visibility: visible;
    }

    &__hover {
        top: 0;
        left: 0;
        z-index: 1;
        width: 100%;
        height: 100%;
        display: block;
        position: absolute;
        transition: .25s;
        opacity: 0;
        visibility: hidden;
    }

    @include media-breakpoint-up(md) {
        justify-content: flex-start;

        &__item {
            width: rem(48);
            height: rem(48);
        }
    }

    @include media-breakpoint-up(xl) {

        &__item {
            width: rem(55);
            height: rem(55);
        }
    }
}

.footer-contact {
    font-size: 0;
    line-height: 0;
    display: flex;
    align-items: center;

    &:not(:last-child) {
        margin-bottom: rem(20);
    }

    &__icon {
        width: rem(40);
        height: rem(40);
        display: block;
        overflow: hidden;
        border-radius: 50%;
        margin-right: rem(16);
        border: 1px solid #E6E6E6;
        flex-shrink: 0;
    }

    &__item {
        font-size: rem(13);
        line-height: 125%;

        &:not(:last-child) {
            margin-bottom: rem(4);
        }
    }

    &__link {
        color: $black;
        font-weight: 500;
        text-decoration: underline;

        &:hover {
            color: $black;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(md) {

        &:not(:last-child) {
            margin-bottom: rem(30);
        }

        &__icon {
            width: rem(56);
            height: rem(56);
            margin-right: rem(24);
        }

        &__item {
            font-size: rem(15);
            line-height: rem(24);
        }
    }
}

.payment-item {
    font-size: 0;
    line-height: 0;
    text-align: center;
    height: rem(35);
    position: relative;
    display: flex;
    align-items: center;
    justify-content: center;

    &:before {
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        z-index: 10;
        content: '';
        display: block;
        position: absolute;
        border: 1px solid $gray-200;
    }

    &__media {
        height: rem(30);
    }

    span {
        font-weight: 600;
        line-height: 125%;
        font-size: rem(10);
        display: block;
        white-space: nowrap;
    }

    i {
        height: rem(12);
        display: inline-block;
        margin-right: rem(10);
    }

    &--cashless {
        color: #008F57;
        grid-column: span 3;
    }

    &--cash {
        color: #C59900;
        grid-column: span 2;

    }

    @include media-breakpoint-up(md) {
        height: rem(40);

        span {
            font-size: rem(12);
        }

        &__media {
            height: rem(38);
        }

        &--cashless {
            grid-column: span 1;
        }

        &--cash {
            grid-column: span 1;

        }
    }

    @include media-breakpoint-up(xxl) {
        height: rem(54);

        span {
            font-size: rem(13);
        }

        &__media {
            height: rem(54);
        }
    }
}

.footer-bottom {
    text-align: center;
    font-weight: 500;
    font-size: rem(12);
    line-height: rem(15);
    background: #F8F7F6;

    &__wrap {
        padding: rem(34) 0;
    }

    &__text {
        color: $black;
    }

    &__links {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    &__item {
        margin-bottom: 12px;
    }

    &__link {
        color: $purple;
        text-decoration: underline;
        transition: .3s;

        &:hover {
            color: $purple;
            text-decoration: none;
            transition: .3s;
        }
    }

    @include media-breakpoint-up(md) {
        text-align: left;
        line-height: rem(16);

        &__wrap {
            display: flex;
            padding: rem(26) 0;
        }

        &__text {
            order: 1;
        }

        &__links {
            order: 2;
            display: flex;
            flex-grow: 1;
        }

        &__item {
            margin-bottom: 0;
            margin-left: rem(30);
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(13);

        &__wrap {
            padding: rem(16) 0;
            height: rem(75);
            justify-content: space-between;
            align-items: center;
        }

        &__links {
            display: flex;
            flex-grow: 0;
        }

        &__item {
            margin-left: rem(70);
        }
    }

    @include media-breakpoint-up(xxl) {}

}

.footer-nav {
    line-height: 125%;
    font-size: rem(16);
    display: flex;
    justify-content: space-between;

    &__title {
        color: $black;
        font-weight: 600;
        font-size: rem(18);
        line-height: rem(21);
        margin-bottom: rem(25);
    }

    &__menu {
        margin: 0;
        padding: 0;
        list-style: none;
    }

    &__item {

        &:not(:last-child) {
            margin-bottom: rem(14);
        }
    }

    &__link {
        color: #585757;
        text-decoration: none;

        &:hover {
            color: $purple;
            text-decoration: none;
        }
    }

    @include media-breakpoint-up(xl) {
        font-size: rem(14);

        &__group {

            &:not(:last-child) {
                margin-right: rem(40);
            }
        }
    }

    @include media-breakpoint-up(xxl) {
        font-size: rem(16);

        &__group {

            &:not(:last-child) {
                margin-right: rem(76);
            }
        }
    }
}

@include media-breakpoint-up(md) {}

@include media-breakpoint-up(lg) {}

@include media-breakpoint-up(xl) {}

@include media-breakpoint-up(xxl) {}
